# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Name Class Reference

Used to define a name attribute containing a string which specifies the name.
.

`#include <TDataStd_Name.hxx>`

Inheritance diagram for TDataStd_Name:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_Name ()
Standard_EXPORT void | Set (const TCollection_ExtendedString &S)
| Sets <s> as name. Raises if <s> is not a valid name. .
Standard_EXPORT const TCollection_ExtendedString & | Get () const
| Returns the name contained in this name attribute. //! Set myEmpty field .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods working on the name itself ======================================== //! Returns the GUID for name attributes.
static Standard_EXPORT Handle_TDataStd_Name | Set (const TDF_Label &label, const TCollection_ExtendedString &string)

Creates (if does not exist) and sets the name in the name attribute.
myEmpty becomes False
//! from any label <l> search in father labels (L is not
concerned) the first name attribute.if found set it in
<father>.
//! class methods working on the name tree
======================================
//! Search in the whole TDF_Data the Name attribute which
fit with <fullpath>. Returns True if found.
//! Search under <currentlabel> a label which fit with
<name>. Returns True if found. Shortcut which avoids
building a ListOfExtendedStrin.
//! Search in the whole TDF_Data the label which fit with name
Returns True if found.
//! tools methods to translate path <-> pathlist
===========================================
//! move to draw For Draw test we may provide this tool method which convert a path in a
sequence of string to call after the FindLabel methods.
Example: if it's given "Assembly:Part_1:Sketch_5" it will return in <pathlist>
the list of 3 strings: "Assembly","Part_1","Sketch_5".
//! move to draw from <pathlist> build the string path
//! Name methods
============
.

## Private Attributes

TCollection_ExtendedString | myString
Standard_Boolean | myEmpty

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Name::TDataStd_Name | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_Name::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT const TCollection_ExtendedString& TDataStd_Name::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDataStd_Name::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_Name::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_Name::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Handle_TDF_Attribute TDataStd_Name::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Name::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Name::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Name::Set | ( | const TCollection_ExtendedString & | S | ) |

static Standard_EXPORT Handle_TDataStd_Name TDataStd_Name::Set | ( | const TDF_Label & | label,
|  | const TCollection_ExtendedString & | string
| ) | `[static]`

## Field Documentation

Standard_Boolean TDataStd_Name::myEmpty `[private]`

TCollection_ExtendedString TDataStd_Name::myString `[private]`

The documentation for this class was generated from the following file:

- TDataStd_Name.hxx